Subject: Re: 2.6.23-rc1-mm2

From: Segher Boessenkool <[email-masked]>
Date: Tue, 7 Aug 2007 01:12:00 +0200

>> It seems like things go wrong when lparmap.s is generated with
>> (DWARF) debug info; could you try building it (manually) with -g0
>> added on the end of the compile line, and see if head_64.o compiles
>> okay for you then?  If so, I'll prepare a proper patch for it, I
>> have a similar one (also for lparmap!) in my queue already...
>
> Ok it worked. I had to add -g0 to Makefile under arch/powerpc/kernel 
> because
> -g0 was added before -g and didn't have any effect when adding to 
> Makefile
> in top dir.

Yeah, that's why I said "build lparmap.s manually" :-)

> But yes - it compiles now.

Great, I'll combine it with my other lparmap build patch then.
Thanks for the report and testing!

Segher